<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.FddCompanyInfoMapper">

	<resultMap id="fddCompanyInfoMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.FddCompanyInfo">
		<id property="id" column="ID"/>
		<result property="companyName" column="COMPANY_NAME"/>
		<result property="managerUnionId" column="MANAGER_UNION_ID"/>
		<result property="managerName" column="MANAGER_NAME"/>
		<result property="companyUnionId" column="COMPANY_UNION_ID"/>
	</resultMap>

	<sql id="Base_Column_List">
		a.ID,
        a.COMPANY_NAME,
        a.MANAGER_UNION_ID,
        a.MANAGER_NAME,
        a.COMPANY_UNION_ID
	</sql>

	<sql id="fddCompanyInfo_where">
		<if test="fddCompanyInfo != null">
			<if test="fddCompanyInfo.id != null and fddCompanyInfo.id.trim() != ''">
				AND a.ID = #{fddCompanyInfo.id}
			</if>
			<if test="fddCompanyInfo.companyName != null and fddCompanyInfo.companyName.trim() != ''">
				AND a.COMPANY_NAME = #{fddCompanyInfo.companyName}
			</if>
			<if test="fddCompanyInfo.managerUnionId != null and fddCompanyInfo.managerUnionId.trim() != ''">
				AND a.MANAGER_UNION_ID = #{fddCompanyInfo.managerUnionId}
			</if>
			<if test="fddCompanyInfo.managerName != null and fddCompanyInfo.managerName.trim() != ''">
				AND a.MANAGER_NAME = #{fddCompanyInfo.managerName}
			</if>
			<if test="fddCompanyInfo.companyUnionId != null and fddCompanyInfo.companyUnionId.trim() != ''">
				AND a.COMPANY_UNION_ID = #{fddCompanyInfo.companyUnionId}
			</if>
		</if>
	</sql>

	<!--fddCompanyInfo简单分页查询-->
	<select id="getFddCompanyInfoPage" resultMap="fddCompanyInfoMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM fdd_company_info a
		<where>
			1=1
			<include refid="fddCompanyInfo_where"/>
		</where>
	</select>
</mapper>